Bug 548068 - deltrarpm bloats and fails on arm11
deltrarpm bloats and fails on arm11
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: deltarpm (Show other bugs)
rawhide
other Linux
low Severity medium
: ---
: ---
Assigned To: Jonathan Dieter
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-12-16 09:30 EST by Andy Green
Modified: 2013-02-22 14:46 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-22 14:46:04 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Andy Green 2009-12-16 09:30:08 EST
Description of problem:
Hi -

Is yum-presto known to work on arm?  Today I changed our repo to use deltarpms and tested it out.  I noticed...

1) On a package where I know the bulk of the unpacked data is some fonts inside an ELF executable that didn't change, the compression result was... not good

  Old RPM:  25424385 txtr-reader-0.1-417.fc11.armv5tel.rpm
  New RPM:  25465487 txtr-reader-0.1-420.fc11.armv5tel.rpm
Delta RPM:  25465402 txtr-reader-0.1-417.fc11_0.1-420.fc11.armv5tel.drpm

So it saved me 85 bytes from 25MByte :-)

The actual procedure here is the createrepo is run on an x86_64 box over these arm packages and then rsync'd on a server.

2) Using deltarpms fails

Loaded plugins: presto
Setting up Update Process
Resolving Dependencies
There are unfinished transactions remaining. You might consider running yum-complete-transaction first to finish them.
--> Running transaction check
---> Package txtr-reader.armv5tel 0:0.1-420.fc11 set to be updated
--> Finished Dependency Resolution

Dependencies Resolved

================================================================================
 Package            Arch            Version             Repository     Size
================================================================================
Updating:
 txtr-reader        armv5tel        0.1-420.fc11        txtradevel     24 M

Transaction Summary
================================================================================
Install      0 Package(s)
Update       1 Package(s)
Remove       0 Package(s)

Total download size: 24 M
Downloading Packages:
Setting up and reading Presto delta metadata
Downloading DeltaRPMs:
Rebuilding rpms from deltarpms
/var/cache/yum/txtradevel/deltas/txtr-reader-0.1-417.fc11_0.1-420.fc11.armv5tel.drpm: md5 mismatch of result
Error rebuilding rpm from txtr-reader-0.1-417.fc11_0.1-420.fc11.armv5tel.drpm! Will download full package.
Running rpm_check_debug
Running Transaction Test
Finished Transaction Test
Transaction Test Succeeded
Running Transaction
  Updating       : txtr-reader      1/2
  Cleanup        : txtr-reader      2/2

Updated:
  txtr-reader.armv5tel 0:0.1-420.fc11

Complete!

Any advice welcomed, it would be great to reduce this 25MByte package down since the vast bulk of it is exactly the same each time :-)

-Andy

-- 
fedora-devel-list mailing list
fedora-devel-list@redhat.com
https://www.redhat.com/mailman/listinfo/fedora-devel-list


Version-Release number of selected component (if applicable):


How reproducible:
Fully

Steps to Reproduce:
See above
  
Actual results:
huge deltarpm, failed deltarpm regeneration

Expected results:
tiny deltarpm, happy regeneration

Additional info:
It's on an ARM11 iMX31 device
Comment 1 Bug Zapper 2010-04-28 07:35:19 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Bug Zapper 2010-11-03 23:11:54 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Jonathan Dieter 2013-02-22 14:46:04 EST
This seems to be working now (I'm able to get deltarpms on my Raspberry Pi).

Note You need to log in before you can comment on or make changes to this bug.